org.apache.hadoop.mapreduce.jobhistory

## Class JobSubmittedEvent

- java.lang.Object
- - org.apache.hadoop.mapreduce.jobhistory.JobSubmittedEvent

- All Implemented Interfaces:
    HistoryEvent

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class JobSubmittedEvent
      extends Object
      implements HistoryEvent

  Event to record the submission of a job

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobSubmittedEvent(JobID id, String jobName, String userName, long submitTime, String jobConfPath, Map<JobACL,org.apache.hadoop.security.authorize.AccessControlList> jobACLs, String jobQueueName)` Create an event to record job submission
    `JobSubmittedEvent(JobID id, String jobName, String userName, long submitTime, String jobConfPath, Map<JobACL,org.apache.hadoop.security.authorize.AccessControlList> jobACLs, String jobQueueName, String workflowId, String workflowName, String workflowNodeName, String workflowAdjacencies)` Create an event to record job submission
    `JobSubmittedEvent(JobID id, String jobName, String userName, long submitTime, String jobConfPath, Map<JobACL,org.apache.hadoop.security.authorize.AccessControlList> jobACLs, String jobQueueName, String workflowId, String workflowName, String workflowNodeName, String workflowAdjacencies, String workflowTags)` Create an event to record job submission.
    `JobSubmittedEvent(JobID id, String jobName, String userName, long submitTime, String jobConfPath, Map<JobACL,org.apache.hadoop.security.authorize.AccessControlList> jobACLs, String jobQueueName, String workflowId, String workflowName, String workflowNodeName, String workflowAdjacencies, String workflowTags, JobConf conf)` Create an event to record job submission

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getDatum()` Return the Avro datum wrapped by this.
    `EventType` | `getEventType()` Get the event type
    `Map<JobACL,org.apache.hadoop.security.authorize.AccessControlList>` | `getJobAcls()` Get the acls configured for the job
    `JobConf` | `getJobConf()`
    `String` | `getJobConfPath()` Get the Path for the Job Configuration file
    `JobID` | `getJobId()` Get the Job Id
    `String` | `getJobName()` Get the Job name
    `String` | `getJobQueueName()` Get the Job queue name
    `long` | `getSubmitTime()` Get the submit time
    `Set<org.apache.hadoop.yarn.api.records.timelineservice.TimelineMetric>` | `getTimelineMetrics()` Counters or Metrics if any else return null.
    `String` | `getUserName()` Get the user name
    `String` | `getWorkflowAdjacencies()` Get the adjacencies of the workflow
    `String` | `getWorkflowId()` Get the id of the workflow
    `String` | `getWorkflowName()` Get the name of the workflow
    `String` | `getWorkflowNodeName()` Get the node name of the workflow
    `String` | `getWorkflowTags()` Get the workflow tags
    `void` | `setDatum(Object datum)` Set the Avro datum wrapped by this.
    `org.apache.hadoop.yarn.api.records.timelineservice.TimelineEvent` | `toTimelineEvent()` Map HistoryEvent to TimelineEvent.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobSubmittedEvent

          public JobSubmittedEvent(JobID id,
                                   String jobName,
                                   String userName,
                                   long submitTime,
                                   String jobConfPath,
                                   Map<JobACL,org.apache.hadoop.security.authorize.AccessControlList> jobACLs,
                                   String jobQueueName)

      Create an event to record job submission
      Parameters:
        `id` - The job Id of the job
        `jobName` - Name of the job
        `userName` - Name of the user who submitted the job
        `submitTime` - Time of submission
        `jobConfPath` - Path of the Job Configuration file
        `jobACLs` - The configured acls for the job.
        `jobQueueName` - The job-queue to which this job was submitted to

    - #### JobSubmittedEvent

          public JobSubmittedEvent(JobID id,
                                   String jobName,
                                   String userName,
                                   long submitTime,
                                   String jobConfPath,
                                   Map<JobACL,org.apache.hadoop.security.authorize.AccessControlList> jobACLs,
                                   String jobQueueName,
                                   String workflowId,
                                   String workflowName,
                                   String workflowNodeName,
                                   String workflowAdjacencies)

      Create an event to record job submission
      Parameters:
        `id` - The job Id of the job
        `jobName` - Name of the job
        `userName` - Name of the user who submitted the job
        `submitTime` - Time of submission
        `jobConfPath` - Path of the Job Configuration file
        `jobACLs` - The configured acls for the job.
        `jobQueueName` - The job-queue to which this job was submitted to
        `workflowId` - The Id of the workflow
        `workflowName` - The name of the workflow
        `workflowNodeName` - The node name of the workflow
        `workflowAdjacencies` - The adjacencies of the workflow

    - #### JobSubmittedEvent

          public JobSubmittedEvent(JobID id,
                                   String jobName,
                                   String userName,
                                   long submitTime,
                                   String jobConfPath,
                                   Map<JobACL,org.apache.hadoop.security.authorize.AccessControlList> jobACLs,
                                   String jobQueueName,
                                   String workflowId,
                                   String workflowName,
                                   String workflowNodeName,
                                   String workflowAdjacencies,
                                   String workflowTags)

      Create an event to record job submission.
      Parameters:
        `id` - The job Id of the job
        `jobName` - Name of the job
        `userName` - Name of the user who submitted the job
        `submitTime` - Time of submission
        `jobConfPath` - Path of the Job Configuration file
        `jobACLs` - The configured acls for the job.
        `jobQueueName` - The job-queue to which this job was submitted to
        `workflowId` - The Id of the workflow
        `workflowName` - The name of the workflow
        `workflowNodeName` - The node name of the workflow
        `workflowAdjacencies` - The adjacencies of the workflow
        `workflowTags` - Comma-separated tags for the workflow

    - #### JobSubmittedEvent

          public JobSubmittedEvent(JobID id,
                                   String jobName,
                                   String userName,
                                   long submitTime,
                                   String jobConfPath,
                                   Map<JobACL,org.apache.hadoop.security.authorize.AccessControlList> jobACLs,
                                   String jobQueueName,
                                   String workflowId,
                                   String workflowName,
                                   String workflowNodeName,
                                   String workflowAdjacencies,
                                   String workflowTags,
                                   JobConf conf)

      Create an event to record job submission
      Parameters:
        `id` - The job Id of the job
        `jobName` - Name of the job
        `userName` - Name of the user who submitted the job
        `submitTime` - Time of submission
        `jobConfPath` - Path of the Job Configuration file
        `jobACLs` - The configured acls for the job.
        `jobQueueName` - The job-queue to which this job was submitted to
        `workflowId` - The Id of the workflow
        `workflowName` - The name of the workflow
        `workflowNodeName` - The node name of the workflow
        `workflowAdjacencies` - The adjacencies of the workflow
        `workflowTags` - Comma-separated tags for the workflow
        `conf` - Job configuration

  - ### Method Detail

    - #### getDatum

          public Object getDatum()

      Description copied from interface: `HistoryEvent`
      Return the Avro datum wrapped by this.
      Specified by:
        `getDatum` in interface `HistoryEvent`

    - #### setDatum

          public void setDatum(Object datum)

      Description copied from interface: `HistoryEvent`
      Set the Avro datum wrapped by this.
      Specified by:
        `setDatum` in interface `HistoryEvent`

    - #### getJobId

          public JobID getJobId()

      Get the Job Id

    - #### getJobName

          public String getJobName()

      Get the Job name

    - #### getJobQueueName

          public String getJobQueueName()

      Get the Job queue name

    - #### getUserName

          public String getUserName()

      Get the user name

    - #### getSubmitTime

          public long getSubmitTime()

      Get the submit time

    - #### getJobConfPath

          public String getJobConfPath()

      Get the Path for the Job Configuration file

    - #### getJobAcls

          public Map<JobACL,org.apache.hadoop.security.authorize.AccessControlList> getJobAcls()

      Get the acls configured for the job

    - #### getWorkflowId

          public String getWorkflowId()

      Get the id of the workflow

    - #### getWorkflowName

          public String getWorkflowName()

      Get the name of the workflow

    - #### getWorkflowNodeName

          public String getWorkflowNodeName()

      Get the node name of the workflow

    - #### getWorkflowAdjacencies

          public String getWorkflowAdjacencies()

      Get the adjacencies of the workflow

    - #### getWorkflowTags

          public String getWorkflowTags()

      Get the workflow tags

    - #### getEventType

          public EventType getEventType()

      Get the event type
      Specified by:
        `getEventType` in interface `HistoryEvent`

    - #### getJobConf

          public JobConf getJobConf()

    - #### toTimelineEvent

          public org.apache.hadoop.yarn.api.records.timelineservice.TimelineEvent toTimelineEvent()

      Description copied from interface: `HistoryEvent`
      Map HistoryEvent to TimelineEvent.
      Specified by:
        `toTimelineEvent` in interface `HistoryEvent`
      Returns:
        the timeline event

    - #### getTimelineMetrics

          public Set<org.apache.hadoop.yarn.api.records.timelineservice.TimelineMetric> getTimelineMetrics()

      Description copied from interface: `HistoryEvent`
      Counters or Metrics if any else return null.
      Specified by:
        `getTimelineMetrics` in interface `HistoryEvent`
      Returns:
        the set of timeline metrics

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.